# PhotoReport

## Dépendences

 - Python 3

## Installation

 - Créer un environnement virtuel python3 (e.g. : `virtulenv3 PhotoReport && source bin/activate`)
 - Cloner le dépôts (`git clone https://git.antoineve.me/PhotoReport/`)
 - Installer les dépendances (Note : pour l'instant, version 0.1, ce n'est pas nécessaire)

## Utilisation en ligne de commande

### exv.py

L'aide est disponible avec `./exv.py --help`. 

Exemple d'utilisation :

    ./exv.py -R -x jpg ~/Nextcloud/Photos/2019/

Exemple de sortie : [sortie_exemple.json](https://git.antoineve.me/PhotoReport/tree/sortie_exemple.json)


## Comment contribuer ?

 - Cloner le dépôt : `git clone https://git.antoineve.me/PhotoReport/`
 - Créer une branche : `git checkout -b <new_feature>`
 - Coder et commiter : `git commit -a -m <description>`
 - Créer le patch : `git format-patch $(git merge-base --fork-point master)..<new_feature>`
 - M'envoyer le patch par mail : [antoine+photoreport@van-elstraete.net](mailto:antoine+photoreport@van-elstraete.net)
 - J'applique le patch avec `git am --signoff -k < <new_feature>.patch`

## BUGS & TODO

 - Pour le moment, pas de sortie en PDF
 - La base de donnée de darktable a changé depuis la première écriture du script
 - La vitesse d'obturation n'est pas arrondie, est-ce souhaitable ? (16.666 ≠ 16.666666666666668 ?)

## Features requests et développement prévu

 - Créer une option pour filtrer par objectif **-> branche filters/lens**
 - Créer une option pour filtrer par boitier **-> branche filters/camera**
 - Sortie PDF fonctionnelle **-> branche output/pdf_via_md**
 - Créer une option pour une sortie exploitable par LaTeX
